org.encog.ml.svm

## Enum SVMType

- java.lang.Object
- - java.lang.Enum<SVMType>
  - - org.encog.ml.svm.SVMType

- All Implemented Interfaces:
    Serializable, Comparable<SVMType>

      public enum SVMType
      extends Enum<SVMType>

  Supports both class and new support vector calculations, as well as one-class distribution. For more information about the two "new" support vector types, as well as the one-class SVM, refer to the following articles. B. Sch?lkopf, A. Smola, R. Williamson, and P. L. Bartlett. New support vector algorithms. Neural Computation, 12, 2000, 1207-1245. B. Sch?lkopf, J. Platt, J. Shawe-Taylor, A. J. Smola, and R. C. Williamson. Estimating the support of a high-dimensional distribution. Neural Computation, 13, 2001, 1443-1471.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EpsilonSupportVectorRegression` Support vector for regression.
    `NewSupportVectorClassification` New support vector for classification.
    `NewSupportVectorRegression` A "new" support vector machine for regression.
    `SupportVectorClassification` Support vector for classification.
    `SupportVectorOneClass` One class distribution estimation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SVMType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SVMType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SupportVectorClassification

          public static final SVMType SupportVectorClassification

      Support vector for classification.

    - #### NewSupportVectorClassification

          public static final SVMType NewSupportVectorClassification

      New support vector for classification. For more information see the citations in the class header.

    - #### SupportVectorOneClass

          public static final SVMType SupportVectorOneClass

      One class distribution estimation.

    - #### EpsilonSupportVectorRegression

          public static final SVMType EpsilonSupportVectorRegression

      Support vector for regression. Use Epsilon.

    - #### NewSupportVectorRegression

          public static final SVMType NewSupportVectorRegression

      A "new" support vector machine for regression. For more information see the citations in the class header.

  - ### Method Detail

    - #### values

          public static SVMType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SVMType c : SVMType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SVMType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.